# frozen_string_literal: true

source 'https://rubygems.org'

# gem 'rails', '~> 7.1.2'
# gem "rails", "~> 7.2.1", ">= 7.2.1.2"
gem 'rails', '~> 8.0.2.1'
gem 'rack-cors', require: 'rack/cors'

# Bundle edge Rails instead:
# gem 'rails', git: 'git://github.com/rails/rails.git'

# gem 'sqlite3'
gem 'exception_notification'
gem 'slim-rails'
gem 'sprockets-rails'

# Gems used only for assets and not required
#gem 'jsonapi-serializers', path: '/home/benjamin/development/rails/components/jsonapi-serializers'
gem 'jsonapi-serializers', github: 'bterkuile/jsonapi-serializers'
gem 'ruby-handlebars'

group :assets do
  # gem 'bourbon' #, '4.0.2' #animation keyframes
  gem 'coffee-rails', '>= 5.0.0'
  gem 'sass-rails' #, '~> 5.0.0'
  #gem 'twitter-bootstrap-rails'
  # Only for mobile assets precompile, not used in this project
  #gem 'bootstrap-sass', '~>2.3'
  #gem 'compass-rails'
  gem 'font-awesome-rails'
  gem 'foundation-rails', '~> 5.5' #, github: 'bterkuile/foundation-rails'
  gem 'jquery-rails'
  gem 'jquery-ui-rails' #, '~> 5.0.5' # https://github.com/joliss/jquery-ui-rails/issues/108
  gem 'js-routes'
  #gem 'capistrano-local-precompile', require: false

  # See https://github.com/sstephenson/execjs#readme for more supported runtimes
  #gem 'therubyracer', platforms: :ruby

  gem 'uglifier', '>= 1.0.3'

  #gem 'ember-source', '~> 2.5.1'
  #gem 'ember-data-source', '~> 2.5.3'
  #gem "barber", "0.11.1"
  #gem 'ember-rails'

  #gem 'ember-validations-rails'
  #gem 'ember-handlebars-template'
  #gem 'ember-emblem-template' #, github: 'bterkuile/ember-emblem-template'
  ##gem 'ember-emblem-template', path: '/home/benjamin/development/rails/components/ember-emblem-template'

  gem 'ace-rails-ap'
  gem 'pickadate-rails'
  #gem 'mustache' #, require: 'mustache/railtie'
end

#gem 'less-rails'
# COUCHBASE GEMS
# gem 'couchbase'
# gem 'map'
# gem 'couchbase-docstore'
# gem 'couchbase-structures', github: 'bterkuile/couchbase-structures'

#gem 'couch_potato', '>= 1.7.1' #, github: 'bterkuile/couch_potato'
gem 'mutex_m' # this is because the httpclient 2.8.3 requires it, and that one requires mutex_m, which is removed in ruby 3.4
gem 'couch_potato', github: 'langalex/couch_potato', branch: :main
#gem 'simply_stored', path: '~/development/rails/components/simply_stored' #, github: 'bterkuile/simply_stored'
gem 'simply_stored', github: 'bterkuile/simply_stored', branch: :master
#gem 'orm_adapter', github: 'bterkuile/orm_adapter'
gem 'devise' #, github: 'plataformatec/devise', branch: 'lm-rails-4-2' #, '3.1.0' #, '2.0.4'
gem 'devise_simply_stored', github: 'bterkuile/devise_simply_stored', branch: :master
gem 'devise-i18n'
gem 'omniauth-facebook'
gem 'omniauth-instagram'
#gem 'simple_form'
gem 'active_decorator' #, path: '/Users/bterkuile/companytools/development/rails/components/active_decorator'
#gem 'cmtool', github: 'bterkuile/cmtool'
#gem 'paperclip', ['>= 4.2.4', '!= 4.3.0'] #, '3.5.2' # cmtool
gem 'kt-paperclip'
#gem 'cmtool', path: './../cmtool'
gem 'cmtool', github: 'bterkuile/cmtool', branch: :master
gem 'kaminari'

gem 'rqrcode'
gem 'mini_magick'
gem 'active_attr'
gem 'naught'
gem 'cancancan'
gem 'sucker_punch' # Really needed?

#gem 'geokit'
gem 'iso_country_codes'
#gem "less-rails-bootstrap-devise", git: 'git://github.com/bigbento/less-rails-bootstrap-devise.git'

# To use ActiveModel has_secure_password
# gem 'bcrypt-ruby', '~> 3.0.0'

# To use Jbuilder templates for JSON
# gem 'jbuilder'
#
group :development, :test, :user_app do
  gem 'pry-rails'
  gem 'pry-doc'
end

group :development, :test do
  gem 'rspec-rails'
  gem 'test_squad'
  gem 'factory_bot_rails'
end
group :development do
  #gem 'quiet_assets'
  gem 'letter_opener'
  # gem 'thin'
  gem 'faye'
  #gem 'spring'
  #gem 'spring-commands-rspec'
  #gem 'web-console', '~> 2.0.0'
  gem 'foreman', require: false
  #gem 'capistrano', require: false
  #gem 'capistrano-bundler', require: false
  #gem 'capistrano-rvm', require: false
  #gem 'capistrano-rails', require: false
  #gem 'capistrano3-puma', require: false
  #gem "airbrussh", require: false
end

group :test do
  #gem 'capybara-webkit' #, '~>0.14.2' # version 1.1.0 does not yet compile in mavericks
  #gem 'selenium-webdriver', '~> 2.45.0.dev3'
  #gem 'selenium-webdriver'
  #gem 'capybara-webkit'
  gem 'capybara-screenshot'
  gem 'fuubar'
  gem 'launchy'
  gem 'poltergeist'
  gem 'rspec-its'
  gem 'simplecov', require: false
  gem 'timecop'
  gem 'turnip'
  gem 'webmock'
  gem "rails-controller-testing"
  #gem 'rails-controller-testing'
  #gem 'rb-fsevent', require: false #if RUBY_PLATFORM =~ /darwin/i
end

#source 'https://rails-assets.org' do
#  group :development, :test do
#    gem 'rails-assets-qunit'
#    gem 'rails-assets-ember-qunit'
#  end
#end

# Use unicorn as the app server
# gem 'unicorn'
gem 'puma', '>= 5.0'

# Deploy with Capistrano
group :deploy do
  gem 'capistrano',         require: false
  gem 'capistrano-rails',   require: false
  gem 'capistrano-puma',    require: false
  gem 'capistrano-rvm',     require: false
  gem 'capistrano-bundler', require: false
  gem 'capistrano-monit',   require: false

  gem 'ed25519' # (>= 1.2, < 2.0)
  gem 'bcrypt_pbkdf' # (>= 1.0, < 2.0)

end

# To use debugger
# gem 'debugger'
